Summary: A power management utility for MIDs (Mobile Internet Devices)
Name: ospm
Version: 1.0.14
Release: 1.1.moblin2
Provides: libospmem.so libospmutils.so
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
Source1: ospmd.init
License: BSD

BuildRequires: libnl
BuildRequires: libnl-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: dbus-devel  >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: libxml2-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: bison flex

Requires: libnl
Requires: libX11
Requires: libXext
Requires: dbus
Requires: dbus-glib
Requires: libxml2
Requires: libXScrnSaver


%description
The OSPM program gives improved battery life by taking advantage
of hardware features in MID devices.

%package devel
Summary: Libraries include files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The OSPM program gives improved battery life by taking advantage
of hardware features in MID devices. Development package

%prep
%setup -q


%build
unset LD_AS_NEEDED
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%make_install
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ospmd

%post
/sbin/ldconfig
if [ $1 = 1 ]; then
    [ -e /sbin/chkconfig ] && /sbin/chkconfig --add ospmd  || :
fi

%preun
if [ $1 = 0 ]; then
      [ -e /sbin/service ] &&  /sbin/service ospmd stop > /dev/null 2>&1
     [ -e /sbin/chkconfig ] && /sbin/chkconfig --del ospmd  || :
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libospmem.so.*
%{_libdir}/libospmutils.so.*
%{_bindir}/ospmd
/etc/ospm/mrst.xml
/etc/ospm/mrst.xsd
/etc/ospm/ospm_dbus.xml
/etc/ospm/dabneyconfig.xml
/etc/ospm/dabneyconfig.xsd
/etc/ospm/ospm.conf
/etc/ospm/burst.conf
/etc/dbus-1/system.d/com.intel.mid.ospm.conf
%{_libdir}/ospm-plugins/*.so.*
/etc/rc.d/init.d/ospmd

%files devel
%defattr(-,root,root)
%{_libdir}/libospmem.so
%{_libdir}/libospmutils.so
%{_bindir}/ospmd
/etc/ospm/mrst.xml
/etc/ospm/mrst.xsd
/etc/ospm/ospm_dbus.xml
/etc/ospm/dabneyconfig.xml
/etc/ospm/dabneyconfig.xsd
/etc/ospm/ospm.conf
/etc/ospm/burst.conf
/etc/dbus-1/system.d/com.intel.mid.ospm.conf
%{_libdir}/ospm-plugins/*.so



%changelog
* Fri Oct  9 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.14
- fast retry fix
* Thu Sep 17 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 1.0.12
- Changed the way in which ospmd gets installed
* Thu Sep 17 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.12
- workaround for disabling clockgating
* Tue Sep 15 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.11
- last of the changes for deamonizing
* Tue Sep 15 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 1.0.10
- Fixed warning in post section during install
* Thu Sep 10 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 1.0.10
- Registering OSPM as service
* Tue Sep  8 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.10
- standby mode fixes
* Wed Sep  2 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.9
- setup ospm a daemon
* Mon Aug 24 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.8
- new features, reving to 1.0.8
* Wed Aug 12 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.7
- bz #4866, WW33.3 drop
* Thu Aug  6 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.6
- makefile changes
* Wed Jul 29 2009 Bret Hueni <bret.j.hueni@intel.com> 1.0.5
- updating to 1.05 source, cleanup install
* Wed Jun 17 2009 bjhueni <bret.j.hueni@intel.com> 1.0.4
- reworked 5mp camera for focus issue, reved to 1.0.4
* Mon Jun 15 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- fix moblin compile problems with bugfix for bz#1983
* Thu Jun 11 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- fixing segmentations faults, netlink fix included
* Wed Jun 10 2009 bjhueni <bret.j.hueni@intel.com> 1.0.3
- Latest source for Alpha1
* Wed May 27 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- latest app source for Alpha1
* Thu Apr 30 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- latest ospm source for PA2 and Alpha1
* Fri Apr 10 2009 Anas Nashif <anas.nashif@intel.com> 1.0.1
- readd so files to make it work for now
* Wed Apr  1 2009 bjhueni <bret.j.hueni@intel.com> 1.0.0
- cleaner spec for moblin
* Tue Mar 17 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- testing fix for failed install
* Mon Mar 16 2009 bjhueni <bret.j.hueni@intel.com> 1.0.1
- updated ospm package for PA2
* Fri Jan 16 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.1
- Updating Source
* Thu Dec 11 2008 Yin Kangkai <kangkai.yin@intel.com>
- compress package
  * Nov Priya Vijayan <priya.vijayan@intel.com>
- Initial Import to MRST
* Mon Aug 25 2008 Sujith Thomas <sujith.thomas@intel.com> 
- initial version
  [ Some changelog entries trimmed for brevity.  -Editor. ]
